###################################################################
#
#  dahdi-tools.spec - used to generate dahdi-tools rpms
#  For more info: http://www.rpm.org/max-rpm/ch-rpm-basics.html
#
#  This spec file uses default directories:
#  /usr/src/redhat/SOURCES - orig source, patches, icons, etc.
#  /usr/src/redhat/SPECS - spec files
#  /usr/src/redhat/BUILD - sources unpacked & built here
#  /usr/src/redhat/RPMS - binary package files
#  /usr/src/redhat/SRPMS - source package files
#
###################################################################
#
#  Global Definitions
#
###################################################################

###################################################################
#
#  The Preamble
#  information that is displayed when users request info
#
###################################################################
Summary: The DAHDI project
Name: dahdi-tools
Version:          3.1.0
Release:          1%{?_rc:.rc%{_rc}}%{?_beta:.beta%{_beta}}%{?dist}
License: GPL
Group: Utilities/System
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.asterisk.org/
Vendor: Digium, Inc.
Packager: Asterisk Development Team <asteriskteam@digium.com>
%{!?_without_newt:Requires: newt}
%{!?_without_newt:BuildRequires: newt-devel}
BuildRequires: libusb-devel
Requires: dahdi-linux
BuildRequires: dahdi-linux-devel
BuildRequires: man
BuildRequires: asciidoc
BuildRequires: autoconf
BuildRequires: libtool
%if 0%{?rhel} > 6
BuildRequires: perl-podlators
%endif

#
# Other tags not used
#
#Distribution:
#Icon:
#Conflicts:
#Serial:
#Requires:
#AutoReqProv:
#ExcludeArch:

%description
The open source DAHDI project

%package doc
Summary: Documentation files for DAHDI
Group: Development/Libraries
#Requires: %{name} = %{actversion}-%{release}

%description doc
The Documentation files for DAHDI

%package -n libtonezone
Summary: Libtonezone, from the open source DAHDI project
Group: Development/Libraries

%description -n libtonezone
libtonezone is a component from the open source DAHDI project

%package -n libtonezone-devel
Summary: Libtonezone libraries and header files for libtonezone development
Group: Development/Libraries
Requires: libtonezone = %{version}-%{release}

%description -n libtonezone-devel
The static libraries and header files needed for building additional plugins/modules

###################################################################
#
#  The Prep Section
#  If stuff needs to be done before building, this is the section
#  Use shell scripts to do stuff like uncompress and cd into source dir 
#  %setup macro - cleans old build trees, uncompress and extracts original source 
#
###################################################################
%prep
%setup -n %{name}-%{version}

###################################################################
#
#  The Build Section
#  Use shell scripts and do stuff that makes the build happen, i.e. make
#
###################################################################
%build
echo %{version} > .version
autoreconf -i
%{configure}
make
#make docs

###################################################################
#
#  The Install Section
#  Use shell scripts and perform the install, like 'make install', 
#  but can also be shell commands, i.e. cp, mv, install, etc.. 
#
###################################################################
%install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/network-scripts/
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install-config

###################################################################
#
#  Install and Uninstall 
#  This section can have scripts that are run either before/after
#  an install process, or before/after an uninstall process
#  %pre - executes prior to the installation of a package
#  %post - executes after the package is installed
#  %preun - executes prior to the uninstallation of a package
#  %postun - executes after the uninstallation of a package
#
###################################################################
%pre
%{_sbindir}/groupadd -r dahdi &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d /tmp -M \
                               -c 'DAHDI User' -g dahdi dahdi &>/dev/null || :

%post
chkconfig --add dahdi

###################################################################
#
#  Verify
#
###################################################################
%verifyscript

###################################################################
#
#  Clean
#
###################################################################
%clean
cd $RPM_BUILD_DIR
%{__rm} -rf %{name}-%{version} 
%{__rm} -rf /var/log/%{name}-sources-%{version}-%{release}.make.err
%{__rm} -rf $RPM_BUILD_ROOT

###################################################################
#
#  File List
#
###################################################################
%files
%{_sbindir}/*
#%config %{_sysconfdir}/hotplug/
%config(noreplace) %{_sysconfdir}/dahdi/
%config %{_sysconfdir}/init.d/dahdi
%config %{_sysconfdir}/modprobe.d/dahdi.conf
%config %{_sysconfdir}/modprobe.d/dahdi-blacklist.conf
%config %{_sysconfdir}/sysconfig/network-scripts/ifup-hdlc
%config %{_sysconfdir}/bash_completion.d/dahdi
%config %{_sysconfdir}/udev/rules.d/dahdi.rules
%config %{_sysconfdir}/udev/rules.d/xpp.rules
%config %{_prefix}/lib/dracut/dracut.conf.d/50-dahdi.conf
/usr/share/dahdi/
%{perl_sitelib}

%files doc
#
#  Documents
#
%{_mandir}/man8/
#%doc README
#%doc README.Astribank
#%doc README.fxotune
#%doc README.fxsusb
#%doc README.Linux26
#%doc CHANGES

%files -n libtonezone
#
#  Module List
#
%defattr(-, root, root)
%{_libdir}/libtonezone.so
%{_libdir}/libtonezone.so.2
%{_libdir}/libtonezone.so.2.0
%{_libdir}/libtonezone.so.2.0.0
#%{_libdir}/libtonezone.so.1
#%{_libdir}/libtonezone.so.1.0

%files -n libtonezone-devel
#
#  Header Files
#
%defattr(-, root, root)
%{_includedir}/dahdi/tonezone.h
%{_libdir}/libtonezone.a
%{_libdir}/libtonezone.la

%changelog
* Tue Oct 08 2019 D Tucny <d@tucny.com> - 3.1.0-1
- New version

* Sun Nov 25 2018 D Tucny <d@tucny.com> - 3.0.0-1
- New version

* Mon Mar 07 2016 D Tucny <d@tucny.com> - 2.11.1-1
- New version

* Mon Mar 07 2016 D Tucny <d@tucny.com> - 2.11.1-1
- New version

* Sun Mar 06 2016 D Tucny <d@tucny.com> - 2.11.1-1
- Remove XPP patch - not needed anymore as fixed upstream

* Wed Feb 03 2016 D Tucny <d@tucny.com> - 2.11.0-3
- Create dahdi user and group as expected by Asterisk

* Wed Feb 03 2016 D Tucny <d@tucny.com> - 2.11.0-2
- Fix /usr/sbin being listed as a provided directory conflicting with filesystem package

* Tue Jan 26 2016 D Tucny <d@tucny.com> - 2.11.0-1
- New version

* Mon Jan 25 2016 D Tucny <d@tucny.com> - 2.11.0-1
- Update to 2.11.0
- No more *-tests make target

* Tue Dec 22 2015 D Tucny <d@tucny.com> - 2.10.2-1
- Update to 2.10.2

